dir-slash

来自「Linux下文件工具。」· 代码 · 共 38 行

TXT
38
字号
#!/bin/sh# Make sure that cp -R DIR1 DIR2 does the right thing# when DIR1 is written with a trailing slash.if test "$VERBOSE" = yes; then  set -x  cp --versionfipwd=`pwd`t0=`echo "$0"|sed 's,.*/,,'`.tmp;tmp=$t0/$$trap 'status=$?; cd $pwd; rm -rf $t0 || exit $?; exit $status' 0trap 'exit $?' 1 2 13 15framework_failure=0mkdir -p $tmp || framework_failure=1cd $tmp || framework_failure=1mkdir dir1 dir2 || framework_failure=1touch dir1/file || framework_failure=1if test $framework_failure = 1; then  echo 'failure in testing framework'  exit 1fifail=0cp -R dir1/ dir2 || fail=1# This file should not exist, but it did with fileutils-4.0w.test -r dir2/file && fail=1# These two should.test -r dir2/dir1/file || fail=1test -r dir1/file || fail=1(exit $fail); exit

⌨️ 快捷键说明

复制代码Ctrl + C
搜索代码Ctrl + F
全屏模式F11
增大字号Ctrl + =
减小字号Ctrl + -
显示快捷键?